> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/media/mediaplayer.md).

# MediaPlayer

### Introduction

The MediaPlayer class is an XNA class which controls the playing of music. For full documentation, see [Microsoft's MediaPlayer reference page](http://msdn.microsoft.com/en-us/library/microsoft.xna.framework.media.mediaplayer.aspx).

### Looping Music

To have your game loop its music, add the following line of code to your Game1.cs file:

```
Microsoft.Xna.Framework.Media.MediaPlayer.IsRepeating = true;
```

### Adjusting the volume of Music

The MediaPlayer offers an overall volume value. This volume value applies to all music. In other words, if you set this value, then change the song that is being played, the same volume value will apply to the new song.

This makes Music play at full volume:

```
Microsoft.Xna.Framework.Media.MediaPlayer.Volume= 1.0f;
```

This makes Music play at half volume:

```
Microsoft.Xna.Framework.Media.MediaPlayer.Volume= 0.5f;
```

This makes Music play at 0 volume (effectively mutes the music):

```
Microsoft.Xna.Framework.Media.MediaPlayer.Volume= 0;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/media/mediaplayer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
